@if "%DEBUG%" == "" @echo off
@rem ##########################################################################
@rem
@rem  endpoints-framework-tools startup script for Windows
@rem
@rem ##########################################################################

@rem Set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" setlocal

set DIRNAME=%~dp0
if "%DIRNAME%" == "" set DIRNAME=.
set APP_BASE_NAME=%~n0
set APP_HOME=%DIRNAME%..

@rem Add default JVM options here. You can also use JAVA_OPTS and ENDPOINTS_FRAMEWORK_TOOLS_OPTS to pass JVM options to this script.
set DEFAULT_JVM_OPTS=

@rem Find java.exe
if defined JAVA_HOME goto findJavaFromJavaHome

set JAVA_EXE=java.exe
%JAVA_EXE% -version >NUL 2>&1
if "%ERRORLEVEL%" == "0" goto init

echo.
echo ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:findJavaFromJavaHome
set JAVA_HOME=%JAVA_HOME:"=%
set JAVA_EXE=%JAVA_HOME%/bin/java.exe

if exist "%JAVA_EXE%" goto init

echo.
echo ERROR: JAVA_HOME is set to an invalid directory: %JAVA_HOME%
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:init
@rem Get command-line arguments, handling Windows variants

if not "%OS%" == "Windows_NT" goto win9xME_args

:win9xME_args
@rem Slurp the command line arguments.
set CMD_LINE_ARGS=
set _SKIP=2

:win9xME_args_slurp
if "x%~1" == "x" goto execute

set CMD_LINE_ARGS=%*

:execute
@rem Setup the command line

set CLASSPATH=%APP_HOME%\lib\endpoints-framework-tools-2.0.7.jar;%APP_HOME%\lib\endpoints-framework-2.0.7.jar;%APP_HOME%\lib\appengine-tools-sdk-1.9.49.jar;%APP_HOME%\lib\servlet-api-2.5.jar;%APP_HOME%\lib\guava-19.0.jar;%APP_HOME%\lib\jackson-annotations-2.6.4.jar;%APP_HOME%\lib\jackson-core-2.6.4.jar;%APP_HOME%\lib\jackson-databind-2.6.4.jar;%APP_HOME%\lib\appengine-api-1.0-sdk-1.9.49.jar;%APP_HOME%\lib\google-http-client-jackson2-1.21.0.jar;%APP_HOME%\lib\google-api-client-1.21.0.jar;%APP_HOME%\lib\google-api-client-appengine-1.21.0.jar;%APP_HOME%\lib\jsr305-3.0.1.jar;%APP_HOME%\lib\swagger-models-1.5.9.jar;%APP_HOME%\lib\swagger-core-1.5.9.jar;%APP_HOME%\lib\slf4j-nop-1.7.21.jar;%APP_HOME%\lib\google-api-services-discovery-v1-rev20151119-1.20.0.jar;%APP_HOME%\lib\google-http-client-1.21.0.jar;%APP_HOME%\lib\google-oauth-client-1.21.0.jar;%APP_HOME%\lib\google-oauth-client-appengine-1.21.0.jar;%APP_HOME%\lib\google-api-client-servlet-1.21.0.jar;%APP_HOME%\lib\google-http-client-appengine-1.21.0.jar;%APP_HOME%\lib\swagger-annotations-1.5.9.jar;%APP_HOME%\lib\commons-lang3-3.2.1.jar;%APP_HOME%\lib\jackson-datatype-joda-2.4.5.jar;%APP_HOME%\lib\jackson-dataformat-yaml-2.4.5.jar;%APP_HOME%\lib\validation-api-1.1.0.Final.jar;%APP_HOME%\lib\httpclient-4.0.1.jar;%APP_HOME%\lib\google-oauth-client-servlet-1.21.0.jar;%APP_HOME%\lib\jdo2-api-2.3-eb.jar;%APP_HOME%\lib\joda-time-2.2.jar;%APP_HOME%\lib\snakeyaml-1.12.jar;%APP_HOME%\lib\httpcore-4.0.1.jar;%APP_HOME%\lib\commons-logging-1.1.1.jar;%APP_HOME%\lib\commons-codec-1.3.jar;%APP_HOME%\lib\google-http-client-jdo-1.21.0.jar;%APP_HOME%\lib\transaction-api-1.1.jar;%APP_HOME%\lib\slf4j-api-1.7.21.jar

@rem Execute endpoints-framework-tools
"%JAVA_EXE%" %DEFAULT_JVM_OPTS% %JAVA_OPTS% %ENDPOINTS_FRAMEWORK_TOOLS_OPTS%  -classpath "%CLASSPATH%" com.google.api.server.spi.tools.EndpointsTool %CMD_LINE_ARGS%

:end
@rem End local scope for the variables with windows NT shell
if "%ERRORLEVEL%"=="0" goto mainEnd

:fail
rem Set variable ENDPOINTS_FRAMEWORK_TOOLS_EXIT_CONSOLE if you need the _script_ return code instead of
rem the _cmd.exe /c_ return code!
if  not "" == "%ENDPOINTS_FRAMEWORK_TOOLS_EXIT_CONSOLE%" exit 1
exit /b 1

:mainEnd
if "%OS%"=="Windows_NT" endlocal

:omega
